Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.utils
Class DoubleList

    java.lang.Object
      de.jstacs.utils.DoubleList

    public final class DoubleList

extends Object

A simple list of primitive type double.

Author:
  Jens Keilwagen

Constructor Summary
`DoubleList()` This is the default constructor that creates a DoubleList with initial length 10.
`DoubleList(int size)` This is the default constructor that creates a DoubleList with initial length `size`.

Method Summary
`void` | `add(double val)` Adds the element `val` at the end of the list.
`void` | `add(double val, int fromIndex, int toIndex)` Adds the element `val` from fromIndex to `toIndex` (exclusive).
`void` | `clear()` Removes all elements from the list.
`double` | `get(int index)` Returns the element with the specified `index`.
`int` | `length()` Returns the number of inserted elements.
`void` | `multiply(int start, int end, double factor)` Multiplies all value in the list from index `start` to `end` with the value `factor`
`double[]` | `toArray()` This method returns a double array containing all elements of the list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleList

    public DoubleList()

  This is the default constructor that creates a DoubleList with initial length 10.

### DoubleList

    public DoubleList(int size)
               throws IllegalArgumentException

  This is the default constructor that creates a DoubleList with initial length `size`.

  Parameters:
    `size` - the initial size; has to be positive
  Throws:
    `IllegalArgumentException` - if the size is less than 1

Method Detail

### add

    public final void add(double val)

  Adds the element `val` at the end of the list.

  Parameters:
    `val` - the element that should be inserted.

### add

    public final void add(double val,
                          int fromIndex,
                          int toIndex)

  Adds the element `val` from fromIndex to `toIndex` (exclusive).

  Parameters:
    `val` - the element that should be inserted
    `fromIndex` - the start index (inclusive)
    `toIndex` - the end index (exclusive)

### clear

    public final void clear()

  Removes all elements from the list.

### get

    public final double get(int index)

  Returns the element with the specified `index`.

  Parameters:
    `index` - the specified index
  Returns:
    the corresponding element

### length

    public final int length()

  Returns the number of inserted elements.

  Returns:
    the number of inserted elements

### toArray

    public double[] toArray()

  This method returns a double array containing all elements of the list.

  Returns:
    a double array containing all elements of the list.

### multiply

    public void multiply(int start,
                         int end,
                         double factor)

  Multiplies all value in the list from index `start` to `end` with the value `factor`

  Parameters:
    `start` - the start index (inclusive)
    `end` - the end index (exclusive)
    `factor` - the factor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD